<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="highlighter"
	ProjectGUID="{F8D89FB8-7C92-4AEE-86F4-4444E20F81A6}"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\..\..\build/lib"
			IntermediateDirectory=".\../../build/tmp/highlighter/$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				ImproveFloatingPointConsistency="TRUE"
				AdditionalIncludeDirectories="..\..\src"
				PreprocessorDefinitions="_DEBUG"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="5"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)/$(ProjectName)UDLib.lib"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\..\..\build/lib"
			IntermediateDirectory=".\../../build/tmp/highlighter/$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\..\src"
				RuntimeLibrary="0"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)/$(ProjectName)ULib.lib"
				IgnoreAllDefaultLibraries="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
			<File
				RelativePath=".\Highlighter.cpp">
			</File>
			<File
				RelativePath=".\QueryScorer.cpp">
			</File>
			<File
				RelativePath=".\QueryTermExtractor.cpp">
			</File>
			<File
				RelativePath=".\SimpleFragmenter.cpp">
			</File>
			<File
				RelativePath=".\SimpleHTMLEncoder.cpp">
			</File>
			<File
				RelativePath=".\SimpleHTMLFormatter.cpp">
			</File>
			<File
				RelativePath=".\TextFragment.cpp">
			</File>
			<File
				RelativePath=".\TokenGroup.cpp">
			</File>
			<File
				RelativePath=".\TokenSources.cpp">
			</File>
			<File
				RelativePath=".\WeightedTerm.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
			<File
				RelativePath=".\Encoder.h">
			</File>
			<File
				RelativePath=".\Formatter.h">
			</File>
			<File
				RelativePath=".\Fragmenter.h">
			</File>
			<File
				RelativePath=".\Highlighter.h">
			</File>
			<File
				RelativePath=".\HighlightScorer.h">
			</File>
			<File
				RelativePath=".\QueryScorer.h">
			</File>
			<File
				RelativePath=".\QueryTermExtractor.h">
			</File>
			<File
				RelativePath=".\SimpleFragmenter.h">
			</File>
			<File
				RelativePath=".\SimpleHTMLEncoder.h">
			</File>
			<File
				RelativePath=".\SimpleHTMLFormatter.h">
			</File>
			<File
				RelativePath=".\TextFragment.h">
			</File>
			<File
				RelativePath=".\TokenGroup.h">
			</File>
			<File
				RelativePath=".\TokenSources.h">
			</File>
			<File
				RelativePath=".\WeightedTerm.h">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
